/* -------------------------------------------------------------------------- */
/* -                 Astronomical Telescope Control                         - */
/* -                         Header File                                    - */
/* -------------------------------------------------------------------------- */
/*                                                                            */
/* Copyright (c) 2009-2012 John Kielkopf                                      */
/* kielkopf@louisville.edu                                                    */
/*                                                                            */
/* Distributed under the terms of the General Public License (see LICENSE)    */
/*                                                                            */
/* This file is part of XmTel.                                                */
/*                                                                            */
/* Date: August 15, 2012                                                      */
/* Version: 6.0 of the INDI driver                                            */
                                                                          

/* INDI parameters */

#define	POLLMS   250       /* Poll period, ms */
#define	MYDEV	"tel"      /* Name for this device */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif


/* Configuration file */

#define CONFIGFILE "/usr/local/observatory/prefs/prefs.tel"

/* Reserve space for characters in file descriptors */

#define MAXPATHLEN  100

/* Default log and queue editor */

#define XMTEL_EDITOR  "nedit"

/* Defaults for site */

#define LONGITUDE      85.5300
#define LATITUDE       38.3334
#define ALTITUDE      230.0000
#define TEMPERATURE    20.0
#define PRESSURE      760.0
#define PARKHA          -5.999
#define PARKDEC         89.999
#define TELSERIAL     "/dev/ttyUSB0"
#define ARCSECPERPIX  0.54


/* Moore Observatory - Louisville, Kentucky USA */

/* #define LONGITUDE      85.5300 */
/* #define LATITUDE       38.3334 */
/* #define ALTITUDE      230.0000 */
/* #define TEMPERATURE    20.0    */
/* #define PRESSURE      760.0    */


/* Mt. Kent Observatgory - Toowoomba, Australia */

/* #define LONGITUDE     -151.855278   */
/* #define LATITUDE      -27.797778    */
/* #define ALTITUDE      682.00        */
/* #define TEMPERATURE    20.0         */
/* #define PRESSURE      760.0         */



